Process business registration charge

Credentials

No credentials are documented for this endpoint.

Process a business registration charge for a seller.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
id string no
email string no
socialId integer no

Request example

{
  "email": "seller@example.com",
  "socialId": 123456789
}

Code samples

curl

curl -X POST 'https://sandbox.payme.io/api/partner/api/sellers/business-reg-charge' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "email": "seller@example.com",
  "socialId": 123456789
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/partner/api/sellers/business-reg-charge", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "email": "seller@example.com",
    "socialId": 123456789
  }),
});

console.log(await response.text());

Python

import requests

response = requests.post(
    "https://sandbox.payme.io/api/partner/api/sellers/business-reg-charge",
    json={
        "email": "seller@example.com",
        "socialId": 123456789,
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "email": "seller@example.com",
  "socialId": 123456789
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/partner/api/sellers/business-reg-charge');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — Business registration charge processed successfully (success)

400 — Bad Request - Validation failed (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 400,
  "message": [
    "Validation failed"
  ],
  "error": "Bad Request"
}

401 — Unauthorized - Invalid or missing authentication (error)

Field Type Description
statusCode integer
message string
error string
{
  "statusCode": 401,
  "message": "Unauthorized",
  "error": "Unauthorized"
}